# Method: accounts.locations.insuranceNetworks.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.ListInsuranceNetworksResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.insuranceNetworks/list#body.aspect)

Returns a list of all insurance networks supported by Google.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/insuranceNetworks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the location whose insurance networks will be listed. The name is in the form: accounts/{accountId}/locations/{locationId} |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. The BCP 47 code for the language. If a language code is not provided, it defaults to English. Right now only 'en' is supported. |
| `pageSize` | `integer` How many insurance networks to return per page. The default value is 5000. Maximum page size is 10000. |
| `pageToken` | `string` If specified, returns the next page of insurance networks. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for InsuranceNetworkService.ListInsuranceNetworks

| JSON representation ||
|---|---|
| ``` { "networks": [ { object (`https://developers.google.com/my-business/reference/rest/v4/InsuranceNetwork`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `networks[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/InsuranceNetwork`)`` A list of insurance networks that are supported by Google. |
| `nextPageToken` | `string` If there are more insurance networks than the requested page size, then this field is populated with a token to fetch the next page of insurance networks on a subsequent call to insuranceNetworks.list. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).